Name:           python-inline-snapshot
Version:        0.13.0
Release:        %autorelease
Summary:        Golden master/snapshot/approval testing library

# SPDX
License:        MIT
URL:            https://github.com/15r10nk/inline-snapshot
Source:         %{pypi_source inline_snapshot}

# Use tomllib instead of PyPI toml on Python 3.11 and later
# https://github.com/15r10nk/inline-snapshot/pull/115
Patch:          %{url}/pull/115.patch

BuildArch:      noarch

BuildRequires:  python3-devel

# Test dependencies
#
# See tool.hatch.envs.hatch-test.extra-dependencies in pyproject.toml; however,
# not all of the packages listed there are required for testing.
# "dirty-equals>=0.7.0",
BuildRequires:  %{py3_dist dirty-equals} >= 0.7
# "hypothesis>=6.75.5",
BuildRequires:  %{py3_dist hypothesis} >= 6.75.6
# "mypy>=1.2.0",
# "pyright>=1.1.359",
# "pytest-subtests>=0.11.0",
BuildRequires:  %{py3_dist pytest-subtests} >= 0.11.0
# "time-machine>=2.10.0",
BuildRequires:  %{py3_dist time-machine} >= 2.10.0
# "pydantic"
BuildRequires:  %{py3_dist pydantic}
#
# For test_xdist, test_xdist_disabled, test_xdist_and_disable
BuildRequires:  %{py3_dist pytest-xdist}

%global common_description %{expand:
Golden master/snapshot/approval testing library which puts the values right
into your source code.}

%description %{common_description}


%package -n python3-inline-snapshot
Summary:        %{summary}

%description -n python3-inline-snapshot %{common_description}


%prep
%autosetup -n inline_snapshot-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l inline_snapshot


%check
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
ignore="${ignore-} --ignore=tests/test_typing.py"

%pytest ${ignore-} -v


%files -n python3-inline-snapshot -f %{pyproject_files}


%changelog
%autochangelog
